70 votes

Magento 2.2.0 Invalid Document Element 'resource': The attribute 'title' is required but missing

To find the file with the missing attribute you can modify the following file vendor/magento/framework/Config/Reader/Filesystem.php add following code foreach($configMerger->getDom()->...
Dima Portenko's user avatar
24 votes
Accepted

Magento 2.2.0 Invalid Document Element 'resource': The attribute 'title' is required but missing

My best guess is that you have a <resource>-tag in any etc/acl.xml-file with a missing title-attribute. Usually this would throw the issue that you could not create or edit a new role. I'm ...
Giel Berkers's user avatar
  • 12.2k
19 votes
Accepted

Fatal error: Uncaught Error: Call to a member function getSectionNames() after upgrading to 2.3.4

We found the solution here: https://github.com/magento/magento2/issues/26647 We've overridden the vendor/magento/module-customer/view/frontend/layout/default.xml in our custom theme. So, changing ...
mapetek's user avatar
  • 387
17 votes

Magento 2.2.0 Invalid Document Element 'resource': The attribute 'title' is required but missing

I had this same problem recently. A couple of observations and a workaround. 1) It would help immensely if instead of 'Invalid Document' it told you which document was invalid. 2) The setup:upgrade ...
Shaun Murray's user avatar
17 votes
Accepted

Magento 2.2.4 Upgrade issue : Area is already set

This is a re-owned issue of Magento 2.2.4 C.E. Magento has been fixed by Daniel Ruf at https://github.com/magento/magento2/commit/7019a0a1392095185505ff3ca7b97dd3e9cb4ef2 at PR #15137 and already ...
Amit Bera's user avatar
  • 77.4k
11 votes
Accepted

Magento 2.2.X > 2.3.0 upgrade issues

I found the solution. Here are the commands to run to fix the issue: composer config preferred-install dist composer config sort-packages true composer config prefer-stable true composer require --...
Borde91's user avatar
  • 350
10 votes
Accepted

PHP Fatal error: Class Magento\Setup\Mvc\Bootstrap\InitParamListener contains 1 abstract method

To fix this issue, copy the setup folder from magento 2.3.7 another project or download it from magento git repo: https://github.com/magento/magento2/tree/2.3.7/setup It works for all others magento ...
Tu Van's user avatar
  • 6,763
10 votes

Static content deploy error after upgrading magento 2.4.3-p1 to 2.4.4

Make sure that logo of theme is here app/design/frontend/[Your Vendor]/[Theme Name]/web/images/logo.svg It is necessary. But I guess it is bug of Magento 2 with PHP 8.1
Arni's user avatar
  • 291
9 votes
Accepted

Magento2.3.5-P1 - Fatal Error: 'Cannot declare class Zend_Http_Client, because the name is already in use

UPDATE: @Renon Steward's answer fixed the issue Try open composer.json and remove use-include-path or the entire config element if this is the only entry. "config": { "use-include-path": true },...
Ken Nguyen's user avatar
7 votes

PHP Fatal error: Cannot redeclare __() (previously declared in /vendor/magento/framework/Phrase/__.php:15) in /app/functions.php on line 23

This is original content of app/functions.php file: <?php /** * Copyright © Magento, Inc. All rights reserved. * See COPYING.txt for license details. */ /** * Create value-object \Magento\...
Adrian's user avatar
  • 366
7 votes

Static content deploy error after upgrading magento 2.4.3-p1 to 2.4.4

The issue has been caused because your custom theme doesn't have a preview image, then PHP 8.1 throws that error due to Magento core logic. Fix that by adding an image to your custom theme. For ...
Rafael Corrêa Gomes's user avatar
6 votes

Getting EscapeHelper doesnt exist after magento upgrade to 2.2.6

When you update magento 2.1 to 2.3 you will get this issue if your custom theme copied file from 2.1 theme. You need to find all files whish use class $this->helper(\Magento\Framework\EscapeHelper::...
V.Tran's user avatar
  • 131
6 votes
Accepted

Upgrade from 2.4.2 to 2.4.3 - I don't know how to resolve these dependencies

In composer.json try to change version of 'magento2-functional-testing-framework': from magento/magento2-functional-testing-framework": "3.1.0 to magento/magento2-functional-testing-...
deryk901's user avatar
6 votes

Magento 2.4 Checkout error Failed to load the "Magento_Checkout/shipping" template

check your custom shipping.html file: app/code/YOUR_VENDOR/MODULE_NAME/view/frontend/web/template/shipping.html In this file something is not correct. The newest Magento 2.4.x seems to be more strict ...
magento4u_com's user avatar
5 votes
Accepted

I can not upgrade from Magento 2.2.5 to Magento 2.2.6

Open your root composer.Json and replace whole code with below. { "name": "magento/project-community-edition", "description": "eCommerce Platform for Growth (Community Edition)", "type": "...
Magento2 Devloper's user avatar
5 votes

After Upgrade Magento from 2.3.4 to 2.4 Cannot instantiate interface Magento\InventoryApi\Api\SourceRepositoryInterface

I had the same thing, I disabled Multi Source Inventory in 2.3. To achieve the same in 2.4 you need to disable more modules: php bin/magento module:disable -f Magento_Inventory ...
Gijsve's user avatar
  • 99
5 votes

Magento2 admin login not redirecting to dashboard page

bin/magento config:set system/security/max_session_size_admin 2560000 this solution worked for me.
bhargav shastri's user avatar
4 votes

Magento 2.2.4 Upgrade issue : Area is already set

It's thrown by this function in file vendor/magento/module-email/Model/AbstractTemplate.php on line 570. Note I have commented out the error throwing part - which allows me to change the theme with ...
user3858570's user avatar
4 votes
Accepted

How to solve MGS\\Mpanel\\Model\\Category\\Attribute\\Source\\Perrow does not exist error in magento-2.2.7?

search in Database table for eav_attribute in backend_model colume MGS\Mpanel\Model\Category\Attribute\Source\Perrow and empty that field i think your problem is slove.
user5371's user avatar
4 votes

Set a value for DATA_CONVERTER_BATCH_SIZE -- not a valid id

To set the variable on Ubuntu, enter the following command as the Magento file system owner in a bash shell prompt: export DATA_CONVERTER_BATCH_SIZE=100000 output: No output will be seen on screen, ...
Pandurang Babar's user avatar
4 votes
Accepted

upgrade magento 2.2.6 to 2.3.3 PHP requirement incompatible with your PHP version (5.6.33.0)

Try to run below command php71 /usr/local/bin/composer.phar require magento/project-community-edition=2.3.3 --no-update You can use below line instead of composer php71 /usr/local/bin/composer.phar ...
Kishan Savaliya's user avatar
4 votes
Accepted

How to upgrade magento ver 2.3.1 to 2.3.3

Please take your database & code backup first after that performs an update task. Connect Your SSH and then go to your project root and run below command composer require magento/product-...
Sanjay Gohil's user avatar
  • 2,200
4 votes

Uncaught ReferenceError: Unable to process binding "if: function(){return isExcludingDisplayed() }" After Magento 2.3.4 Upgrade Checkout Cart Page

The problem might be caused due to the incorrect value or no value available for the isExcludingDisplayed() and haveToShowCoupon() functions. These two functions are available in shipping.js file ...
Sathishkumar's user avatar
4 votes

Magento2.3.5-P1 - Fatal Error: 'Cannot declare class Zend_Http_Client, because the name is already in use

This issue seems to only affect users upgrading from a previous version of Magento 2. Try open composer.json and remove use-include-path or the entire config element if this is the only entry. "...
MagePal Extensions's user avatar
4 votes

User is getting logged out when they tried to change the password from my accounts section

This is the expected behavior from 2.3.4-p2. We can see this has a new update from 2.3.5 release notes https://devdocs.magento.com/guides/v2.3/release-notes/release-notes-2-3-5-open-source.html#...
Karuppana Samy Periasamy's user avatar
4 votes

Magento 2.4.0 ElasticSearch not alive

You must enable ElasticSearch in Magento 2.4, it's a requirement as you can see in the page Magento 2.4 technology stack requirements. You should use ElastiSearch 7, not ElasticSearch 6 as Magento 2....
Rafael Corrêa Gomes's user avatar
3 votes

Detecting possible issues with serialized data after Magento 2.2 upgrade

Solution: - Step 1. Magento has provided a guideline for resolving this issue. https://devdocs.magento.com/guides/v2.2/ext-best-practices/tutorials/serialized-to-json-data-upgrade.html And another ...
Swapnil Tatkondawar's user avatar
3 votes

Magento 2.1.9 upgrade to 2.2.0 - Error on setup:upgrade with Magento_Sales table

Setting the field contents to NULL solved my issue. UPDATE `sales_order_item` SET `product_options` = NULL WHERE `product_options` = ''; UPDATE `sales_order_payment` SET `additional_information` = ...
PG Sutariya's user avatar
3 votes

Magento 2.1.9 upgrade to 2.2.0 - Error on setup:upgrade with Magento_Sales table

I had a similar issue: Error converting field `info` in table `magento_logging_event` where `log_id`=3 using Magento\Logging\Setup\ObjectConverter. Turned out that a long serialized value in ...
Fabian Schmengler's user avatar
3 votes

Magento 2.2.X > 2.3.0 upgrade issues

Step 1: Enable Developer Mode php bin/magento deploy:mode:set developer Step 2: Here are few commands that you need to run before upgrading to Magento 2.3 composer config preferred-install dist ...
AbdurRahman Lakhani's user avatar

Only top scored, non community-wiki answers of a minimum length are eligible